<?php

/**
 * Theme settings
 *
 * @param array $settings
 * @return array
 */
function theme_nicepage_settings($settings) {
    return json_decode(<<<JSON
    {
    "title": "Peere",
    "homePageId": "58817723",
    "description": "Betaalbare IT-diensten, soft- en hardware aan huis voor particulieren en KMO's",
    "keywords": "",
    "analytics": "44959950",
    "googleTagManager": "",
    "metaTags": "",
    "headHtml": "",
    "customCss": "",
    "themeAuthor": "Dennis Peere",
    "themeAuthorUrl": "https://www.peere.be",
    "themeVersion": "1.1",
    "themeUrl": "",
    "themeTags": "IT, hardware, software, website, herstelling, pc, laptop, tablet, cloud, office 365",
    "themeDescription": "Betaalbare IT-diensten, soft- en hardware aan huis voor particulieren en KMO's",
    "showBrand": "false",
    "favicon": "favicon.png",
    "colorScheme": {
        "name": "deep-blue",
        "isDefault": true,
        "bodyColors": [
            "#111111",
            "#ffffff"
        ],
        "colors": [
            "#0cbcf5",
            "#054a71",
            "#0172b2",
            "#86dbf6",
            "#d6dfe2"
        ],
        "bgColor": "#ffffff",
        "shadingContrast": "body-alt-color",
        "whiteContrast": "body-color",
        "bgContrast": "body-color"
    },
    "fontScheme": {
        "name": "RobotoSlab-Roboto",
        "isDefault": true,
        "fonts": {
            "heading": "Roboto Slab, serif",
            "text": "Roboto, sans-serif",
            "accent": "Arial, sans-serif",
            "headingTitle": "Roboto Slab",
            "textTitle": "Roboto",
            "rank": 10
        }
    },
    "typography": {
        "name": "Bold",
        "isDefault": true,
        "title": {
            "font-weight": "700",
            "line-height": "1_1",
            "font-size": 6,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "subtitle": {
            "font-weight": "700",
            "line-height": "1_2",
            "font-size": 2.25,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h1": {
            "font-weight": "700",
            "line-height": "1_1",
            "font-size": 3.75,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h2": {
            "font-weight": "700",
            "line-height": "1_2",
            "font-size": 2.25,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h3": {
            "font-weight": "700",
            "line-height": "1_2",
            "font-size": 1.875,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h4": {
            "font-weight": "700",
            "line-height": "1_2",
            "font-size": 1.5,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h5": {
            "font-weight": "700",
            "line-height": "1_2",
            "font-size": 1.25,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "h6": {
            "font-weight": "700",
            "line-height": "1_2",
            "font-size": 1.125,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "largeText": {
            "bold": false,
            "line-height": "1_6",
            "font-size": 1,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "text": {
            "bold": false,
            "line-height": "1_6",
            "font-size": 1,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "smallText": {
            "bold": false,
            "line-height": "1_6",
            "font-size": 0.875,
            "margin-top": 20,
            "margin-bottom": 20
        },
        "link": {
            "letter-spacing": "1",
            "font-size": 1,
            "line-height": "1_8",
            "text-color": "palette-1-base",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "button": {
            "letter-spacing": "1",
            "font-size": 1,
            "line-height": "1_4",
            "color": "palette-1-base",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "blockquote": {
            "font-style": "italic",
            "line-height": "1_6",
            "font-size": 1.25,
            "indent": 20,
            "border": 4,
            "border-color": "palette-1-base",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "metadata": {
            "font-size": 0.75,
            "line-height": "1_4",
            "margin-top": 20,
            "margin-bottom": 20
        },
        "list": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "orderedlist": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "postContent": {
            "margin-top": 20,
            "margin-bottom": 20
        },
        "theme": {
            "gradient": "",
            "image": ""
        },
        "htmlBaseSize": 16
    },
    "id": 164065822
}
JSON
, true);
}
add_filter('nicepage_theme_settings', 'theme_nicepage_settings');

function theme_analytics() {
?>
    <script>
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
            (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
            m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
        ga('create', '44959950', 'auto');
        ga('send', 'pageview');
    </script>
<?php
}
add_action('wp_head', 'theme_analytics', 0);


function theme_favicon() {
    $custom_favicon_id = get_theme_mod('custom_favicon');
    @list($favicon_src, ,) = wp_get_attachment_image_src($custom_favicon_id, 'full');
    if (!$favicon_src) {
        $favicon_src = "favicon.png";
        if ($favicon_src) {
            $favicon_src = get_template_directory_uri() . '/images/' . $favicon_src;
        }
    }

    if ($favicon_src) {
        echo "<link rel=\"icon\" href=\"$favicon_src\">";
    }
}
add_action('wp_head', 'theme_favicon');